Package io.helidon.http
package io.helidon.http
HTTP APIs and implementations usable by both server and client side of the HTTP story.
-
ClassDescriptionA runtime exception indicating a
bad request.Mutable headers of a client request.HTTP Headers of a client response.HTTP Trailer headers of a client response.A generic representation of theContent-Dispositionheader.Fluent API builder forContentDisposition.The DataChunk represents a part of the HTTP body content.Support for HTTP date formats based on RFC2616.A handler that is invoked when a response is sent outside of routing.Types of events that can be triggered outside of router that immediately return a response.Request information.Response to correctly reply to the original client.Fluent API builder forDirectHandler.TransportResponse.A runtime exception indicating aforbidden.A representation of theHeaderNames.FORWARDEDHTTP header.HTTP Header withHeaderNameand value.HTTP header name.Utility class with a list of names of standard HTTP headers and related tooling methods.View of HTTP Headers.Headers__ServiceDescriptor<T extends Headers>Service descriptor forHeaders.Values of commonly used headers.Mutable header value.HTML encoding of special characters to prevent cross site scripting (XSS) attacks.HTTP endpoint annotations.What media type(s) an endpoint or method can consume.Inject a request cookie into a server method parameter, or send a cookie from a declarative client method parameter.DELETE method of an HTTP endpoint.Inject entity into a method parameter.Inject a URL encoded form parameter into a server method parameter, or send a form parameter from a declarative client method parameter.GET method of an HTTP endpoint.HEAD method of an HTTP endpoint.Header producer, to use with rest client and rest server annotations.Inject a request header into a server method parameter, or send a header from a declarative client method parameter.HTTP method.OPTIONS method of an HTTP endpoint.PATCH method of an HTTP endpoint.Path of an endpoint, or sub-path of a method.Inject a path parameter into a server method parameter, or provide a path template value from a declarative client method parameter.POST method of an HTTP endpoint.What media type(s) an endpoint or method produces.PUT method of an HTTP endpoint.QUERY method of an HTTP endpoint.Inject query parameter into a method parameter.Inject grouped request parameters into a method parameter.Used by both HTTP server and client to parse headers fromDataReader.Common configuration of HTTP protocol, regardless of its version.Fluent API builder forHttpConfig.HttpConfig.BuilderBase<BUILDER extends HttpConfig.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends HttpConfig>Fluent API builder base forHttpConfig.Generated implementation of the prototype, can be extended by descendant prototype implementations.Runtime exception for applications.Configuration of logging of the HTTP layer.Fluent API builder forHttpLogConfig.HttpLogConfig.BuilderBase<BUILDER extends HttpLogConfig.BuilderBase<BUILDER, PROTOTYPE>, PROTOTYPE extends HttpLogConfig>Fluent API builder base forHttpLogConfig.Generated implementation of the prototype, can be extended by descendant prototype implementations.Media type used in HTTP headers, in addition to the media type definition, these may contain additional parameters, such asHttpMediaType.QUALITY_FACTOR_PARAMETERandHttpMediaType.CHARSET_PARAMETER.Fluent API builder forHttpMediaType.Constants forHttpMediaType.A prologue of an HTTP protocol.HttpPrologue__ServiceDescriptor<T extends HttpPrologue>Service descriptor forHttpPrologue.HTTP support methods used from generated code.HTTP Token utility.Protocol-neutral observation of HTTP transport lifecycle.Observation of one physical connection.Connection termination outcome.Stream directionality.Connection handshake.Observation of one security handshake.Handshake completion outcome.Stream initiator relative to the observing endpoint.Endpoint role.Observation of one application request and response exchange.Stream termination outcome.A runtime exception indicating ainternal server error.Header formatter for protocol logs.HTTP request methods.HTTP Method predicate.A runtime exception indicating anot found.Matches HTTP path against configured path of a route.Utility methods to create path matchers.Path matching result.Path matching result.Requested URI discovery settings for a socket.Builder forRequestedUriDiscoveryContext.Types of discovery of frontend URI.Indicates unsafe settings for a socket's request URI discovery.Exception that will be handled byDirectHandler, unless server request and server response are already available, in which case it would be handled by appropriate error handler of routing.Fluent API builder forRequestException.Abstraction of HTTP path supporting routing parameters.HTTP headers of a server request.Service descriptor forServerRequestHeaders.Mutable headers of a server response.Mutable trailers of a server response.Represents'Set-Cookie'header value specified by RFC6265.A fluent API builder forSetCookie.The SameSite attribute of the Set-Cookie HTTP response header allows you to declare if your cookie should be restricted to a first-party or same-site context.Commonly used status codes defined by HTTP, see HTTP/1.1 documentation.An enumeration representing the class of status code.A runtime exception indicating aunauthorized.WritableHeaders<B extends WritableHeaders<B>>HTTP Headers that are mutable.